Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.users
Interface UserService

    public interface UserService

The UserService provides information useful for forcing a user to log in or out, and retrieving information about the user who is currently logged-in.

Method Summary
`java.lang.String` | `createLoginURL(java.lang.String destinationURL)` Returns an URL that can be used to display a login page to the user.
`java.lang.String` | `createLogoutURL(java.lang.String destinationURL)` Returns an URL that can be used to log the current user out of this app.
`User` | `getCurrentUser()` If the user is logged in, this method will return a `User` that contains information about them.
`boolean` | `isUserAdmin()` Returns true if the user making this request is an admin for this application, false otherwise.
`boolean` | `isUserLoggedIn()` Returns true if there is a user logged in, false otherwise.

Method Detail

### createLoginURL

    java.lang.String createLoginURL(java.lang.String destinationURL)

  Returns an URL that can be used to display a login page to the user.

  Parameters:
    `destinationURL` - where the user will be redirected after they log in.
  Returns:
    The URL that will present a login prompt.
  Throws:
    `java.lang.IllegalArgumentException` - If the destinationURL is too long.

### createLogoutURL

    java.lang.String createLogoutURL(java.lang.String destinationURL)

  Returns an URL that can be used to log the current user out of this app.

  Parameters:
    `destinationURL` - where the user will be redirected after they log out.
  Returns:
    The URL that will log the user out.
  Throws:
    `java.lang.IllegalArgumentException` - If the destinationURL is too long.

### isUserLoggedIn

    boolean isUserLoggedIn()

  Returns true if there is a user logged in, false otherwise.

### isUserAdmin

    boolean isUserAdmin()

  Returns true if the user making this request is an admin for this application, false otherwise.

  Throws:
    `java.lang.IllegalStateException` - If the current user is not logged in.

### getCurrentUser

    User getCurrentUser()

  If the user is logged in, this method will return a `User` that contains information about them. Note that repeated calls may not necessarily return the same `User` object.

  Returns:
    User if the user is logged in, null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD